<template>
  <div class="wrapper">
    <div class="container-fuild">
      <div id="headTitle">
        <Logo />
        <h1 id="title" _msttexthash="48503" _msthash="2">{{ i18ntext.lngText('exchangerate') }}</h1>
      </div>
      <Header />
      <ol id="topicPath">
        <li style="margin-left: 322px">
          <a href="#"> {{ i18ntext.lngText('exchangerate') }} </a>
        </li>
      </ol>
    </div>
    <div class="search-box">
      <div id="product">
        <div class="search-box">
          <div class="search-box-title" id="Bars">
            <div id="bar" style="padding-left: 0;">

              <router-link to="product" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fas fa-plus" style="padding-right: 5px"> </i>
                  {{ i18ntext.lngText('add-pro') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" style="padding:6px;">
                <li>
                  <router-link to="/product">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-bottom: 10px;margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fas fa-plus"></i>
                      {{ i18ntext.lngText('add-pro') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewproduct">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye" aria-hidden="true"></i>
                      {{ i18ntext.lngText('pro_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="brands" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="background-color: #29a5a5;">
                  <i class="fa fa-cog" aria-hidden="true"></i>
                  {{ i18ntext.lngText('set-pro') }}
                </a>
              </router-link>

              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Brands">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-tags" aria-hidden="true"></i>
                      {{ i18ntext.lngText('brands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/supplies">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-truck" aria-hidden="true"></i>
                      {{ i18ntext.lngText('supplier') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/unitcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-th-large" aria-hidden="true"></i>
                      {{ i18ntext.lngText('unittype') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Group">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-flask" aria-hidden="true"></i>
                      {{ i18ntext.lngText('diangosis') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/Category">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-box-open"></i>
                      {{ i18ntext.lngText('category') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/exchangerate">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-bill-wave"></i>
                      {{ i18ntext.lngText('exchangerate') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenMethod">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-money-check"></i>
                      {{ i18ntext.lngText('payment') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/testserviceview">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-vial"></i>
                      {{ i18ntext.lngText('service') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/groupService">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-thermometer-quarter" aria-hidden="true"></i>
                      {{ i18ntext.lngText('groupservice') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/company">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                    margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-building" aria-hidden="true"></i>
                      {{ i18ntext.lngText('company') }}
                    </a>
                  </router-link>
                </li>
              </ul>

              <router-link to="menupurchase" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-cart" aria-hidden="true"></i>
                  {{ i18ntext.lngText('purchase_order') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/Purchasview">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-plus"></i>
                      {{ i18ntext.lngText('purchase_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewrecept">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-cart-arrow-down" aria-hidden="true"></i>
                      {{ i18ntext.lngText('recept_order') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/serailcode">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-barcode"></i>
                      {{ i18ntext.lngText('serial') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/paymenview">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-eye"></i>
                      {{ i18ntext.lngText('payment_view') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockonhand" data-bs-toggle="dropdown" aria-expanded="false">
                <a class="btn-radius btn btn-sm" href="#" id="bar-1">
                  <i class="fa fa-shopping-basket" aria-hidden="true"></i>
                  {{ i18ntext.lngText('stock') }}
                </a>
              </router-link>
              <ul class="dropdown-menu" id="drop_menu">
                <li>
                  <router-link to="/stockonhand">
                    <a class="btn-radius btn btn-sm down" href="#" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-top: 0;margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-prescription-bottle"></i>
                      {{ i18ntext.lngText('onhands') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stockonhand_date">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                     <i class="fa fa-calendar-plus"></i>
                      {{ i18ntext.lngText('onhand-date') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/beginningstock">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
              margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-tape"></i>
                      {{ i18ntext.lngText('begin-stock') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/viewstockcount">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-calculator"></i>
                      {{ i18ntext.lngText('stock-count') }}
                    </a>
                  </router-link>
                </li>
                <li>
                  <router-link to="/stocktransection">
                    <a class="btn-radius btn btn-sm down" href="#" id="bar-1" style="background-color: #29a5a5; border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;text-align: left;">
                      <i class="fa fa-recycle" aria-hidden="true"></i>
                      {{ i18ntext.lngText('stock-tran') }}
                    </a>
                  </router-link>
                </li>
              </ul>
              <router-link to="/stockalert">
                    <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ i18ntext.lngText('stock-alert') }}
                      <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                      {{ stockcount }} {{ i18ntext.lngText('item') }}
                    </span>
                    </a>
                  </router-link>
                  <router-link to="/ex_alert">
                    <a class="btn-radius btn btn-sm" href="#" id="bar-1" style="border: #22adb763 1px solid;
                      margin-right: 0;width: 100%;">
                        <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>
                        {{ i18ntext.lngText('expire-alert1') }}
                      <span style="
                      background-color: red;
                      border-radius: 5px;
                      padding: 3px;
                      box-shadow: 1px 1px;
                      color: #333;">
                      {{ count_expire }} {{ i18ntext.lngText('item') }}
                    </span>
                    </a>
                  </router-link>

            </div>
            <div id="right" >
              <a
                class="btn-radius bt-pn btn btn-sm"
                data-bs-toggle="dropdown"
                aria-expanded="false"
                style="float: right; color: #f8f5b4; margin-top: -2px; width:79px"
              >
                <i class="fas fa-plus" style="padding-right: 5px"> </i>
                <!-- Menu -->
                {{ i18ntext.lngText('menu') }}
              </a>
              <ul class="dropdown-menu">
                <li>
                  <a
                    @click="getsuppliyerview()"
                    class="dropdown-item btn btn-primary"
                    data-bs-toggle="modal"
                    data-bs-target="#staticboomId"
                    tabindex="10028"
                    ><i class="fa fa-print" aria-hidden="true"></i> {{ i18ntext.lngText('print') }}</a
                  >
                </li>
              </ul>
            </div>
          </div>
          <div class="search-box-content">
            <table
              border="0"
              cellpadding="0"
              cellspacing="0"
              class="tbl_search"
              id="hover-table"
            >
              <tbody>
                <tr>
                  <th width="10%">{{ i18ntext.lngText('currency') }}</th>
                  <td class="d-flex">
                    <input autocomplete="off"
                      class="string_zen_kana clear_text text input_text"
                      type="text"
                      style="width: 360px"
                      v-model="form1.curency_no"
                      maxlength="8"
                      required
                      :disabled="true"
                    />

                    <a
                      v-if="checkPermission == 'System'"
                      href="#"
                      class="btn-addnew"
                      data-bs-toggle="modal"
                      style="padding-bottom: 3px"
                      data-bs-target="#alertbell"
                      ><span class="new">{{ i18ntext.lngText('add-new') }}</span></a
                    >
                  </td>
                </tr>
                <tr>
                  <th width="10%">{{ i18ntext.lngText('exchangerate') }}</th>
                  <td>
                    <input autocomplete="off"
                      class="string_zen clear_text text input_text"
                      type="number"
                      style="width: 360px"
                      v-model="form1.exchange_rate"
                      required
                    />
                  </td>
                </tr>
              </tbody>
            </table>
            <div class="search-box-footer">
              <div
                v-if="is_back == true"
                class="button type2"
                id="uniform-undefined"
                @click="btnCancel()"
              >
                <span
                  ><input autocomplete="off"
                    type="button"
                    class="type2"
                    tabindex="10025"
                    value="display"
                    style="opacity: 0; width: 54px"
                  />
                  <i class="fa fa-arrow-left"></i>
                  {{ i18ntext.lngText('back') }}
                  </span
                >
              </div>
              <div class="button type2" id="uniform-undefined" @click="btnDeleteSearch()">
                <span
                  ><input autocomplete="off"
                    type="button"
                    class="type2"
                    tabindex="10025"
                    value="display"
                    style="opacity: 0; width: 54px"
                  />
                  <i
                    v-if="delete_search == 'Search'"
                    class="fa fa-search"
                    aria-hidden="true"
                  ></i>
                  <i v-else class="fa fa-trash" aria-hidden="true"></i>
                  {{ i18ntext.lngText('search') }}</span
                >
              </div>

              <div v-if="this.save_update == 'Save'" class="button type2" id="uniform-undefined" @click="SaveExchange()">
                <span
                  ><input autocomplete="off"
                    type="button"
                    class="type2"
                    tabindex="10025"
                    value="display"
                    style="opacity: 0; width: 54px"
                  /><i class="fa fa-save" aria-hidden="true"></i>
                  {{ i18ntext.lngText('save') }}
                </span>
              </div>
              <div v-if="this.save_update == 'Update'" class="button type2" id="uniform-undefined" @click="SaveExchange()">
                <span
                  ><input autocomplete="off"
                    type="button"
                    class="type2"
                    tabindex="10025"
                    value="display"
                    style="opacity: 0; width: 54px"
                  /><i class="fa fa-save" aria-hidden="true"></i>
                  {{ i18ntext.lngText('update') }}
                </span>
              </div>
              <span class="marker"></span>
            </div>
          </div>
        </div>

        <div class="box mt-4">
          <table
            width="100%"
            border="0"
            cellpadding="0"
            cellspacing="0"
            class="table table-striped br-table"
          >
            <thead>
              <tr class="header-table">
                <th width="3%">{{ i18ntext.lngText('no') }}</th>
                <th width="20%">{{ i18ntext.lngText('currency') }}</th>
                <th width="20%">{{ i18ntext.lngText('exchangerate') }}</th>
                <th width="15%"></th>
              </tr>
            </thead>
            <tbody>
              <tr v-for="(item, index) in exchange" :key="index">
                <td width="3%">{{ index + 1 }}</td>
                <td width="13%">{{ item.curency_no }}</td>
                <td width="13%">
                  1.00 {{ item.main_curency_no }} / {{ item.exchange_rate }} {{ item.curency_no }}
                </td>
                <td width="12%" class="text-center">
                  <div
                    class="button"
                    id="uniform-undefined"
                    @click="editExchangeRate(item)"
                  >
                    <span>
                      <i class="fa fa-edit"></i> {{ i18ntext.lngText('edit-ex') }}<input autocomplete="off"
                        type="button"
                        tabindex="10028"
                        style="opacity: 0; width: 140px"
                    /></span>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
  <div
    class="modal fade ui-modal"
    id="staticboomId"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            <i class="fa fa-print" aria-hidden="true"></i> {{ i18ntext.lngText('print') }}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content" >
          <div class="card">
            <div class="card-body print-size">
              <div class="mt-3 " id="purchaseorder" style="height: auto !important;">
                <div class="row d-flex align-items-baseline">
                  <div class="col-xl-9"></div>
                  <hr />
                </div>

                <div style="padding: 0 50px 0 50px">
                  <div class="col-md-12">
                    <div class="text-center">
                      <h3 class="title-purchase">{{ i18ntext.lngText('ex-report') }}</h3>
                    </div>
                  </div>

                  <div class="col-container">
                    <div class="col1" style="width: 55%">
                      <p class="p-bg font-size p-pad">{{ i18ntext.lngText('com-name') }}</p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText('name') }} :</span>
                        <span id="fon">{{ company.company_name }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText('phone') }} :</span>
                        <span id="fon">{{ company.company_Phone }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText('email') }} :</span>
                        <span id="fon">{{ company.company_Email }}</span>
                      </p>
                      <p class="p-mg info-pad">
                        <span id="bold">{{ i18ntext.lngText('address') }} :</span>
                        <span id="fon">{{ company.company_Address }}</span>
                      </p>
                    </div>
                    <div class="col2">
                      <p class="text-center p-bg font-size p-pad">{{ i18ntext.lngText('date') }}</p>
                      <p class="text-center p-mg" id="fon">{{ dateformart }}</p>
                    </div>
                  </div>
                  <div class="my-2 justify-content-center">
                    <table id="pr-tb">
                      <thead>
                        <tr class="p-bg" style="text-align: center !important">
                          <th class="text-center">{{ i18ntext.lngText('no') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('currency') }}</th>
                          <th class="text-center">{{ i18ntext.lngText('exchangerate') }}</th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(item, index) in exchange" :key="index">
                          <td>{{ index + 1 }}</td>
                          <td>{{ item.curency_no }}</td>
                          <td>
                            1.00{{ item.main_curency_no }} / {{ item.exchange_rate }} {{ item.curency_no }}
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <hr />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button
            v-print="'#purchaseorder'"
            class="btn-purchase btn-light text-capitalize border-0"
          >
            <i class="fa fa-print text-primary"></i> {{ i18ntext.lngText('print') }}
          </button>
        </div>
      </div>
    </div>
  </div>

  <div
    class="modal fade ui-modal"
    id="alertbell"
    data-bs-backdrop="static"
    data-bs-keyboard="false"
    tabindex="-1"
    aria-labelledby="staticboomId"
    aria-hidden="true"
  >
    <div class="modal-dialog">
      <div class="modal-content ui-dialog">
        <div class="ui-widget-header">
          <h5 class="modal-title in-header" id="staticBackdropLabel">
            <i class="fa fa-print" aria-hidden="true"></i> {{ i18ntext.lngText('ex-title') }}
            {{ company.main_Currency }}
          </h5>
          <span
            class="ui-icon ui-icon-closethick"
            data-bs-dismiss="modal"
            aria-label="Close"
          ></span>
        </div>
        <div class="ui-dialog-content" id="purchaseorder1">
          <div>
            <div class="card-body">
              <div class="mt-3">
                <div>
                  <div class="my-2">
                    <table
                      width="100%"
                      border="0"
                      cellpadding="0"
                      cellspacing="0"
                      class="tbl_search mb-3"
                    >
                      <tbody>
                        <tr>
                          <th width="20%">{{ i18ntext.lngText('currency-name') }}</th>
                          <td>
                            <input autocomplete="off"
                              id="cat_name"
                              name="cat_name"
                              v-model="form.curency"
                              type="text"
                              class="text"
                              tabindex="10029"
                            />
                            <p v-if="errors.curency" style="font-size: 10px; color: red">
                              {{ errors.curency[0] }}
                            </p>
                          </td>
                        </tr>
                        <tr>
                          <th>{{ i18ntext.lngText('inactive') }}</th>
                          <td width="90%">
                            <div class="selector" id="inactivced">
                              <span>{{ form.inactived }}</span>
                              <select
                                id="inactivced"
                                name="inactivced"
                                v-model="form.inactived"
                                tabindex="10003"
                                style="min-width: 51px; opacity: 0; width: 80px"
                              >
                                <option value="Yes">Yes</option>
                                <option value="No">No</option>
                              </select>
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                    <table class="table table-striped br-table">
                      <thead>
                        <tr class="header-table">
                          <th class="text-center" style="text-align: center !important">
                            {{ i18ntext.lngText('no') }}
                          </th>
                          <th class="text-center" style="text-align: center !important">
                            {{ i18ntext.lngText('currency') }}
                          </th>
                          <th class="text-center" style="text-align: center !important">
                            {{ i18ntext.lngText('currency-name') }}
                          </th>
                          <th class="text-center" style="text-align: center !important">
                            {{ i18ntext.lngText('inactive') }}
                          </th>
                          <th></th>
                        </tr>
                      </thead>
                      <tbody>
                        <tr v-for="(curr, index) in items.data" :key="index">
                          <td>{{ index + 1 }}</td>
                          <td>{{ curr.curency_no }}</td>
                          <td>{{ curr.curency }}</td>
                          <td>{{ curr.inactived }}</td>
                          <td class="text-center" style="width: 19em">
                            <div
                              class="button"
                              id="uniform-undefined"
                              @click="checkActionForm('Update', 'Update', 'Close', curr)"
                            >
                              <span
                                ><i class="fa fa-edit"></i> {{ i18ntext.lngText('ex-edit') }}<input autocomplete="off"
                                  type="button"
                                  tabindex="10028"
                                  style="opacity: 0; width: 70px"
                              /></span>
                            </div>
                            <div
                              class="button"
                              id="uniform-undefined"
                              @click="createExchange(curr)"
                              data-bs-dismiss="modal"
                              aria-label="Close"
                            >
                              <span
                                ><i class="fa fa-edit"></i>{{ i18ntext.lngText('ex-add') }}<input autocomplete="off"
                                  type="button"
                                  tabindex="10028"
                                  style="opacity: 0; width: 70px"
                              /></span>
                            </div>
                          </td>
                        </tr>
                      </tbody>
                    </table>
                  </div>
                  <hr />
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <div class="button type2" id="uniform-undefined" @click="Clear()">
            <span
              ><input autocomplete="off"
                type="button"
                class="type2"
                tabindex="10025"
                value="display"
                style="opacity: 0; width: 54px"
              /><i class="fa fa-save" aria-hidden="true"></i> {{ i18ntext.lngText('ex-clear') }}</span
            >
          </div>
          <div v-if="this.Save == 'Save'" class="button type2" id="uniform-undefined" @click="save()">
            <span
              ><input autocomplete="off"
                type="button"
                class="type2"
                tabindex="10025"
                value="display"
                style="opacity: 0; width: 54px"
              /><i class="fa fa-save" aria-hidden="true"> </i> {{ i18ntext.lngText('save') }}</span
            >
          </div>
        </div>
      </div>
    </div>
  </div>
  <Footer />
  <UserInfo/>
</template>
<script>
import axios from "axios";
import pagination from "laravel-vue-pagination";
import Logo from "../logo.vue";
import print from "vue3-print-nb";
import moment from "moment";
import UserInfo from "../UserInfo.vue";
import Auth from "../../auth/Auth";
import Footer from "../footer.vue";
import Header from "../Header.vue";
import i18n from "../../i18n/i18n";
export default {
  components: { Header, pagination, Footer, Logo ,UserInfo},
  directives: {
    print,
  },
  data() {
    return {
      i18ntext: i18n,
      errors: "",
      save_update: "Save",
      delete_search: "Search",
      is_back: false,
      Save: "Save",
      bt1: "",
      check: [],
      bt2: "",
      items: {},
      company: [],
      formatdate: "",
      exchange: [],
      links: [],
      products: [],
      perPage: "",
      currentPage: 0,
      last_page: 1,
      checkPermission: Auth.user.role,
      form: {
        curency_no: "",
        curency: "",
        inactived: "Yes",
        created_by: "",
        updated_by: "",
      },
      form1: {
        curency_no: "",
        main_curency_no: "",
        exchange_rate: "",
        created_by: "",
        updated_by: "",
        inactived: "",
      },
      stockcount:0,
      count_expire:0,
    };
  },

  mounted() {
    if (Auth.check()) {
        if(!Auth.checkPermission(' EXCHANGERATE_ALL')){
            this.$router.push('/dashboard');
        }
    }
    this.getBrands();
    this.getcompany();
    this.getExchangeRate();
    this.getstockalert()
    this.getExpireAlert()
  },

  methods: {
    getstockalert() {
      axios.post("api/v1/stockcheck/checkOptionstock").then((response) => {
        this.stockcount = response.data.data.total;
      });
  },
  async getExpireAlert() {
      axios.get("api/v1/expireAlert").then((res) => {
        this.count_expire = res.data.stock.total;
      });
    },
    getBrands() {
      axios.get("/api/v1/curency/getdata/").then((data) => {
        this.items = data;
      });
    },
    getcompany() {
      axios.get("/api/v1/getSetup/").then((response) => {
        this.company = response.data;
        this.dateformart = moment(new Date()).format("DD-MM-YYYY");
      });
    },
    save() {
      if (this.Save == "Save") {
        this.isDisabled = false;
        this.form.created_by = Auth.user.id;
        if (this.form.curency != this.company.main_Currency) {
          axios
            .post("/api/v1/curency/create/" + this.form.curency, this.form)
            .then((res) => {
              this.getBrands();
              this.form = {
                curency: "",
                // curency_no: "",
                inactived: "",
              };
            })
            .catch((error) => {
              this.errors = error.response.data.errors;
              setTimeout(() => (this.errors = false), 2000);
            });
        } else {
          alert("this already exist");
        }
      }
      if (this.Save == "Update") {
        this.form.updated_by = Auth.user.id;
        axios
          .post("/api/v1/curency/update/" + this.form.curency_no, this.form)
          .then((data) => {
            this.getBrands();
            this.Save = "Save";
            this.form = {
              curency: "",
              curency_no: "",
              inactived: "",
            };
            this.isDisabled = false;
          });
      }
    },
    edit(test) {
      this.form = test;
    },
    dalete(brand) {
      axios.get("api/v1/curency/delete/" + brand).then((res) => {
        this.form = res.data;
        this.getBrands(1);
      });
    },
    checkActionForm(checkform, bt1, bt2, brandId) {
      this.Save = "Update";
      this.isDisabled = true;
      if (checkform == "save") {
        this.bt1 = bt1;
        this.bt2 = bt2;
        this.issave = "save";
        this.form = {};
      } else {
        this.bt1 = bt1;
        this.bt2 = bt2;
        this.edit(brandId);
        this.issave = brandId;
      }
    },
    serchdata() {
      axios.post("api/v1/brands/search").then((res) => {});
    },
    createExchange(curr) {
      this.form1.curency_no = curr.curency_no;
      axios.get("/api/v1/exchangerate/find/" + curr.curency_no).then((res) => {
        this.check = res.data;
      });
    },
    SaveExchange() {
      if (this.save_update == "Save") {
        if (this.check.status == 0) {
          if (this.form1.curency_no != this.company.main_Currency) {
            this.form1.created_by = Auth.user.id;
            axios.post("/api/v1/exchangerate/create/", this.form1).then((res) => {
              this.getExchangeRate();
              this.form1 = {
                curency_no: "",
                main_curency_no: "",
                exchange_rate: "",
                inactived: "",
              };
            });
          }
          if (this.form1.curency_no == this.company.main_Currency) {
            alert("Can't create This Main currency");
            this.form1 = {
              curency_no: "",
              main_curency_no: "",
              exchange_rate: "",
              inactived: "",
            };
          }
        } else {
          alert("This alread exist");
          this.form1 = {
            curency_no: "",
            main_curency_no: "",
            exchange_rate: "",
            inactived: "",
          };
        }
      }
      if (this.save_update == "Update") {
        this.form1.updated_by = Auth.user.id;
        axios
          .post("/api/v1/exchangerate/update/" + this.form1.id, this.form1)
          .then((res) => {
            this.getExchangeRate();
            this.save_update = "Save";
            this.form1 = {
              curency_no: "",
              main_curency_no: "",
              exchange_rate: "",
              inactived: "",
            };
            this.is_back = false;
          });
      }
    },

    getExchangeRate() {
      axios.get("/api/v1/exchangerate/index/").then((res) => {
        this.exchange = res.data;
      });
    },
    editExchangeRate(item) {
      this.form1 = item;
      this.save_update = "Update";
      this.is_back = true;
    },
    btnCancel() {
      this.form1 = {
        curency_no: "",
        main_curency_no: "",
        exchange_rate: "",
        inactived: "",
      };
      this.save_update = "Save";
      this.delete_search = "Search";
      this.is_back = false;
    },
    Clear() {
      this.Save = "Save";
      this.form = {
        curency_no: "",
        curency: "",
        inactived: "",
      };
    },
    print() {
      var printContents = document.getElementById("purchaseorder").innerHTML;
      var mywindow;
      mywindow = window.open("", "mydiv", "height=800,width=1200,scrollbars=yes", "");
      mywindow.document.write("<html><head><title>my div</title>");
      mywindow.document.write('<link rel="stylesheet" href="css/style.css">');
      mywindow.document.write('<link rel="stylesheet" href="css/app.css">');
      mywindow.document.write('<link rel="stylesheet" href="css/pstyle.css">');
      mywindow.document.write("</head><body>");
      mywindow.document.write(printContents);
      mywindow.document.write("</body> </html>");
      setTimeout(() => {
        mywindow.document.close();
        mywindow.focus();
        mywindow.print();
        setTimeout(function () {
          window.close();
        }, 1);
        cb();
      }, 1000);
    },
  },
};
</script>
